import sys
from sys import platform

if platform != "linux":
    logger.critical("""\nNot for windows, run only on GNU/Linux!\n""")
    input()
    sys.exit(1)

import pathlib
from loguru import logger
import pretty_errors
from colorama import Fore, Back, Style, init
import argparse
import yaml
from psycopg2 import OperationalError

# try:
# подключение модулей
# except ModuleNotFoundError:
#     logger.critical('''\n[Error 2] Module not found! Сheck the integrity of the program!\n''')
#     sys.exit(1)

# try:
# подключение модулей базы данных
# except OperationalError:
#     logger.critical('''Type: "sudo systemctl start postgresql"''')
#     sys.exit(1)

parser = argparse.ArgumentParser()

parser = argparse.ArgumentParser(description="List fish in aquarium.")
parser.add_argument(
    "--config",
    "-c",
    help="Path to the config file",
    type=pathlib.Path,
    default="config.yaml",
)
parser.add_argument("--proxy", "-p", help="Path to the proxy file", type=pathlib.Path)
parser.add_argument("--rtc_min", help="", type=int)
parser.add_argument("--rtc_max", help="", type=int)

args = parser.parse_args()


logger.add("project.log")
logger.info("Starting...")


with open(args.config) as f:
    config = yaml.safe_load(f)

    if args.proxy is None:
        path_to_proxy = config.path_to_proxy
    else:
        path_to_proxy = args.proxy

    if args.rtc_min is None:
        rtc_min = config.rtc_min
    else:
        rtc_min = args.rtc_min

    if args.rtc_max is None:
        rtc_max = config.rtc_max
    else:
        rtc_max = args.rtc_max
